<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:id="@+id/cl_main"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <com.adealink.weparty.commonui.widget.nestedscrolling.NestedScrollableHost
        android:layout_width="0dp"
        android:layout_height="0dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <com.adealink.weparty.webview.WeNextWebView
            android:id="@+id/web_view"
            android:layout_width="match_parent"
            android:layout_height="match_parent" />

    </com.adealink.weparty.commonui.widget.nestedscrolling.NestedScrollableHost>

    <com.google.android.material.progressindicator.LinearProgressIndicator
        android:id="@+id/progress_indicator"
        android:layout_width="0dp"
        android:layout_height="20dp"
        android:layout_marginHorizontal="40dp"
        android:visibility="gone"
        app:indicatorColor="@color/color_app_main"
        app:indicatorDirectionLinear="startToEnd"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:trackColor="@color/color_AAAAAA"
        app:trackCornerRadius="8dp" />

    <com.adealink.weparty.commonui.widget.CommonEmptyErrorView
        android:id="@+id/error_view"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

</androidx.constraintlayout.widget.ConstraintLayout>